GNU Radio 2.x: gr_fxpt_nco Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_fxpt_nco Class Reference

`#include <gr_fxpt_nco.h>`

List of all members.

## Detailed Description

Numerically Controlled Oscillator (NCO).

## Public Member Functions
| gr_fxpt_nco ()
| ~gr_fxpt_nco ()
void | set_phase (float angle)
void | adjust_phase (float delta_phase)
void | set_freq (float angle_rate)
void | adjust_freq (float delta_angle_rate)
void | step ()
void | step (int n)
float | get_phase () const
float | get_freq () const
void | sincos (float *sinx, float *cosx) const
void | sincos (gr_complex *output, int noutput_items, double ampl=1.0)
void | sin (float *output, int noutput_items, double ampl=1.0)
void | cos (float *output, int noutput_items, double ampl=1.0)
void | sin (short *output, int noutput_items, double ampl=1.0)
void | cos (short *output, int noutput_items, double ampl=1.0)
void | sin (int *output, int noutput_items, double ampl=1.0)
void | cos (int *output, int noutput_items, double ampl=1.0)
float | cos () const
float | sin () const

## Constructor & Destructor Documentation

gr_fxpt_nco::gr_fxpt_nco | ( |  | ) | `[inline]`

gr_fxpt_nco::~gr_fxpt_nco | ( |  | ) | `[inline]`

## Member Function Documentation

void gr_fxpt_nco::adjust_freq | ( | float | delta_angle_rate | ) | `[inline]`

void gr_fxpt_nco::adjust_phase | ( | float | delta_phase | ) | `[inline]`

float gr_fxpt_nco::cos | ( |  | ) | const`[inline]`

void gr_fxpt_nco::cos | ( | int * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) | `[inline]`

void gr_fxpt_nco::cos | ( | short * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) | `[inline]`

void gr_fxpt_nco::cos | ( | float * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) | `[inline]`

float gr_fxpt_nco::get_freq | ( |  | ) | const`[inline]`

float gr_fxpt_nco::get_phase | ( |  | ) | const`[inline]`

void gr_fxpt_nco::set_freq | ( | float | angle_rate | ) | `[inline]`

void gr_fxpt_nco::set_phase | ( | float | angle | ) | `[inline]`

float gr_fxpt_nco::sin | ( |  | ) | const`[inline]`

void gr_fxpt_nco::sin | ( | int * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) | `[inline]`

void gr_fxpt_nco::sin | ( | short * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) | `[inline]`

void gr_fxpt_nco::sin | ( | float * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) | `[inline]`

void gr_fxpt_nco::sincos | ( | gr_complex * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) | `[inline]`

void gr_fxpt_nco::sincos | ( | float * | sinx,
|  | float * | cosx
| ) | const`[inline]`

void gr_fxpt_nco::step | ( | int | n | ) | `[inline]`

void gr_fxpt_nco::step | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- gr_fxpt_nco.h